Bug 593372 - gnome-panel clock applet should be able to synchronize time with time servers
Summary: gnome-panel clock applet should be able to synchronize time with time servers
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gnome-panel
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Ray Strode [halfline]
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-18 16:20 UTC by Praveen Arimbrathodiyil
Modified: 2013-06-17 04:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-30 17:55:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 533870 None None None Never

Description Praveen Arimbrathodiyil 2010-05-18 16:20:57 UTC
Description of problem:

system time cannot be configured from gnome-panel

Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1. right click on clock/time shown on the gnome panel
2. go to preferences
3. click on time settings
4. select configure system time
  
Actual results:

nothing happens, go back to the old window

Expected results:

window to configure system time should appear

Additional info:

Comment 2 Ray Strode [halfline] 2010-05-18 17:27:51 UTC
I'm slightly confused by step 4.  Can you provide screenshots of the problem?

The way it's supposed to work is

1. right click on clock applet on panel
2) go to the "Preferences" menu
3) click on "Time Settings" button
4) Input the new time in the spin buttons
5) Hit "Set System Time"
6) Depending on policykit policy ask for a root password, user password, or neither
7) Time is updated

It works this way for me. There's no "Configure System Time" button or anything that I know of.

Comment 3 Praveen Arimbrathodiyil 2010-05-18 18:40:56 UTC
On a second thought, it is more of a mismatched expectation. I was expecting an option to choose ntp (I remember doing it previously from the panel). Ideally it should launch/link to system-config-date which has this option. I had discussed it with aalam and he also thought it was a bug.

Comment 4 Praveen Arimbrathodiyil 2010-05-18 18:55:50 UTC
And even with System-> Administration -> Date & Time the time is not set correctly with ntp. 

This is a Dell Precision T3500 system.

Comment 5 Ray Strode [halfline] 2010-05-18 18:57:12 UTC
ah i see.  I don't think that's something we're going to get to by GA unfortunately.

Comment 6 Praveen Arimbrathodiyil 2010-05-21 16:41:58 UTC
(In reply to comment #4)
> And even with System-> Administration -> Date & Time the time is not set
> correctly with ntp. 

I reported this as another bug https://bugzilla.redhat.com/show_bug.cgi?id=594809

Comment 7 RHEL Program Management 2010-06-07 15:54:45 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 8 Matthias Clasen 2010-06-11 03:47:22 UTC
This is not going to happen for 6.0. Unfortunately, bugzilla doesn't let me clear the 6.0 flag.

Comment 11 Ray Strode [halfline] 2010-11-30 17:54:37 UTC
This not a feature we're likely to implement without sufficient customer demand. devnack for 6.1

Comment 12 RHEL Program Management 2010-11-30 17:55:06 UTC
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Comment 13 Praveen Arimbrathodiyil 2010-12-09 19:09:49 UTC
This is fixed upstream.


Note You need to log in before you can comment on or make changes to this bug.